[![Travis-CI Build Status](https://travis-ci.org/nignatiadis/IHWpaper.svg?branch=master)](https://travis-ci.org/nignatiadis/IHWpaper)


# IHWpaper

This is a package which reproduces all IHW paper figures (as well as some additional figures for presentations etc.). The package is available on [Bioconductor](http://bioconductor.org/packages/release/data/experiment/html/IHWpaper.html).


# Installing the package and reproducing all simulations

You can install the package as follows:

```{r}
library("devtools")
# install IHW
install_github("vladchimescu/lpsymphony", subdir="lpsymphony")
install_github("nignatiadis/IHW")
# install FDRreg, version on CRAN is outdated
install_github(repo= "jgscott/FDRreg", subdir="R_pkg/", ref = "a63cebae6faecb1fb0ebee634195296f39faa11b")
# Bioconductor prerequisites
if (!requireNamespace("BiocManager", quietly=TRUE))
    install.packages("BiocManager")
BiocManager::install(c("genefilter","DESeq2","qvalue","Biobase",
            "BiocParallel","airway","pasilla", "BiocStyle"))
# finally install this package
install_github("nignatiadis/IHWpaper")
```

Afterwards you can view the pre-built vignettes or rebuild them yourself.

Notice that the vignettes load binary .Rds files which are stored in inst/real_data_examples/result_files
and inst/simulations_benchmarks/result_files. These have been generated by longer lasting jobs, the code for which can be found in inst/real_data_examples and inst/simulation_benchmarks.

